post
https://api.clientpay.com/v2/paymentpage/lineitem
Creates a payment page with one or more general line items on it.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Parameter | Type | Description |
|---|---|---|
| accessId* | String | Unique identifier that ensures that the integrator has the authorization to make requests on behalf of the customer. (Specifically, a customer's merchant account) |
Body Parameters
| Parameter | Type | Description |
|---|---|---|
| token* | Object/Hash | Object containing authentication parameters - most crucially the requestId which is required with every call. For more information, see the token object. |
| lineItems* | Array of Objects | List of line item objects to be generated as line items on the payment page. |
| lineItemTableLabels* | Object/hash | Contains parameters that allow for editing the column header for each of the 3 string fields in the lineItem object. For more information, see the line item table label object. |
| payerOrPaymentMethodId | String | If a payer ID is provided, will surface all payment methods under that payer as options for payment. If a payment method ID is provided, will surface just that payment method on the payment page. |
| nameOnAccount | String | Prepopulates the cardholder name/name on account field on the page. |
| billingAddress | Object/Hash | Object containing billing address fields that will be prepopulated on the resulting payment page. See the billing address object for more details. |
| pageOptions | Object/Hash | Object containing various page customization options. See the page options object for more details. |
| emailOptions | Object/Hash | Object containing various options for emailing a payment receipt. See the email options object for more details. |
| responseOptions | Object/Hash | Object containing various options posting of data back to you, the ClientPay Integrator, once a payment has been completed. See the response options object for more details. |
